routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('lang/{lang}', ['as' => 'lang.switch', 'uses' => 'LanguageController@switchLang']);

Route::get('/barcode', function() {
	return view('admin.barcode');
});
Route::get('/', 'Admin\AdminLoginController@index');
Route::post('/admin/login', 'Admin\AdminLoginController@attemptLogin');
Route::resource('/forgot-password', 'Admin\ForgotPasswordController');
Route::any('send-email', 'Admin\ForgotPasswordController@sendEmail');
Route::get('password-reset/{token}', 'Admin\ForgotPasswordController@resetPassword');
Route::any('resetPassword', 'Admin\ForgotPasswordController@resetAdminPassword');
Route::post('/states/country', 'Admin\StateController@getStatesByCountry')->name('states.country');

#Admin authenticated route
Route::group(['middleware' => ['admin'], 'prefix'=>'admin', 'namespace' => 'Admin'], function() {
	Route::get('/dashboard', 'AdminDashboardController@index')->name('admin.dashboard');
	Route::get('/my-profile', 'AdminLoginController@editProfile')->name('admin.my.profile');
	Route::post('/my/profile/{id}', 'AdminLoginController@updateProfile')->name('admin.myprofile');
	Route::get('/logout', 'AdminLoginController@logout');

	#Country Routes
	Route::resource('/countries', 'CountryController');
	Route::post('/countries/status-update', 'CountryController@countryEnableDisabled')->name('countries.status');

	# currency Routes
	Route::resource('/currencies', 'CurrencyController');
	Route::post('/currencies/status-update', 'CurrencyController@currencyEnableDisabled')->name('currencies.status');

	#State Routes
	Route::resource('/states', 'StateController');
	Route::post('/states/status-update', 'StateController@stateEnableDisabled')->name('states.status');

	#User Routes
	Route::resource('/users', 'UserController');
	Route::post('/users/status-update', 'UserController@userEnableDisabled')->name('users.status');

	#Brand Routes
	Route::resource('/brands', 'BrandController');
	Route::post('/brands/status-update', 'BrandController@brandEnableDisabled')->name('brands.status');

	#Color Routes
	Route::resource('/colors', 'ColorController');
	Route::post('/colors/status-update', 'ColorController@colorEnableDisabled')->name('colors.status');

	#Models Routes
	Route::resource('/models', 'ModalController');
	Route::post('/models/status-update', 'ModalController@modelEnableDisabled')->name('models.status');

	#Company Routes
	Route::resource('/company', 'CompanyController');
	Route::post('/company/status-update', 'CompanyController@companyEnableDisabled')->name('company.status');
	Route::post('/company/email-check', 'CompanyController@emailCheck')->name('company.email-check');
	Route::get('/company-parking/{parkingId}/details', 'CompanyController@showCompanyParkingSpace')->name('company-parkings.show-details');
	// Route::resource('/company-parking', 'CompanyParkingController');
	// Route::get('/company-parking/{id}/add', 'CompanyParkingController@addParking')->name('company-parking.add');

	#Washer Routes
	Route::resource('/washer', 'WasherManController');
	Route::post('/washer/email-check', 'WasherManController@emailCheck')->name('washer.email-check');
	Route::post('/washer/mobile-check', 'WasherManController@mobileCheck')->name('washer.mobile-check');
	Route::post('/washer/status-update', 'WasherManController@washerEnableDisabled')->name('washer.status');
	Route::resource('/washer-company-allot', 'WasherCompanyAllotController');

	# credential generate
	Route::get('company/{id}/generate-credential', 'CompanyController@generateCompanyCredential')->name('company.generate-credential');
	Route::post('company/{id}/generate-credential', 'CompanyController@generateCredential')->name('company.generate-credential');
	
	#Discount Routes
	Route::resource('discount', 'DiscountController');
	Route::any('fetchCompanyId', 'DiscountController@fetchCompanyId');
	Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
	Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('discount.status');

	#Promocodes Routes
	Route::resource('promocode', 'PromocodeController');
	// Route::any('promocode/fetchCompanyId', 'PromocodeController@fetchCompanyId');
	Route::any('openPromocodeUpdate', 'PromocodeController@openPromocodeUpdate');
	Route::post('/promocode/status-update', 'PromocodeController@statusUpdate')->name('promocode.status');

	# popularspace Routes
	Route::resource('popular-places', 'PopularPlaceController');

	#Routes for Commission
	Route::resource('commission', 'CommissionController');
	Route::any('OpenEditCommission', 'CommissionController@OpenEditCommission');
});

Route::group(['prefix' => 'company', 'namespace' => 'Company'], function() {
	Route::get('/', 'CompanyLoginController@index')->name('company.login');
	Route::post('/login', 'CompanyLoginController@attemptLogin')->name('company.attempt.login');
	Route::get('/forgot-password', 'ForgotPasswordController@index')->name('company.forgot-password.index');
	Route::any('send-email', 'ForgotPasswordController@sendEmail')->name('company.send-email');
	Route::get('password-reset/{token}', 'ForgotPasswordController@resetPassword');
	Route::any('resetPassword', 'ForgotPasswordController@resetCompanyPassword');

	Route::group(['middleware' => 'company'], function() {
		Route::get('/logout', 'CompanyLoginController@logout')->name('company.logout');
		Route::get('dashboard', 'DashboardController@index')->name('company.dashboard.index');

		# Company Parking Route
		Route::resource('company-parkings', 'CompanyParkingController');
		Route::post('/parking/status-update', 'CompanyParkingController@companyParkingEnableDisabled')->name('company-parking.status');

		# Company Discount Route
		Route::resource('company-discount', 'DiscountController');
		Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
		Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('company-discount.status');

		# Company Promocode Route
		Route::resource('company-promocodes', 'PromoCodeController');
		Route::any('promocode/{id}/openDiscounUpdate', 'PromoCodeController@openPromocodeUpdate')->name('promocode.openPromocodeUpdate');
		Route::post('/promocode/status-update', 'PromoCodeController@statusUpdate')->name('company-promocode.status');

		# Event Routes
		Route::resource('events', 'EventController');
		Route::post('/events/status-update', 'EventController@eventEnableDisabled')->name('events.status');

		# Employee Routes
		Route::resource('/employees', 'EmployeeController');
		Route::post('/employees/email-check', 'EmployeeController@emailCheck')->name('employees.email-check');
		Route::post('/employees/mobile-check', 'EmployeeController@mobileCheck')->name('employees.mobile-check');
		Route::post('/employees/status-update', 'EmployeeController@employeeEnableDisabled')->name('employees.status');
		Route::get('/employees/{id}/parking-allot', 'EmployeeController@employeeParkingAllot')->name('employees.parking-allot');
		Route::post('/employees/{id}/parking-allocate', 'EmployeeController@employeeParkingAllocate')->name('employees.parking-allocate');

		# Company parking Space Route
		Route::get('company-parkings/{parking_id}/parking-space', 'CompanyParkingController@createSpaceOfParking')->name('parking-space.create');
		Route::post('parking-space/set-up-space', 'CompanyParkingController@setUpSpace')->name('parking-space.setup-space');
		Route::post('parking-space/space-description', 'CompanyParkingController@spaceDescription')->name('parking.space-description');
		Route::post('parking-space/space-feature', 'CompanyParkingController@parkingFeature')->name('parking.space-feature');
		Route::post('parking-space/mark-out-space', 'CompanyParkingController@markOutSpace')->name('parking-space.mark-out-space');
		Route::post('parking-space/payout-setting', 'CompanyParkingController@payoutSetting')->name('parking-space.payout-setting');
		Route::post('parking-space/advance-space-setting', 'CompanyParkingController@advanceSpaceSetting')->name('parking-space.advance-space-setting');
		Route::post('parking-space/parking-driver-feature', 'CompanyParkingController@parkingDriverFeature')->name('parking-space.parking-driver-feature');
		Route::post('parking-space/parking-washer-feature', 'CompanyParkingController@parkingWasherFeature')->name('parking-space.parking-washer-feature');
		Route::post('parking-space/parking-booking-feature', 'CompanyParkingController@parkingBookingFeature')->name('parking-space.parking-booking-feature');
		Route::post('parking-space/parking-subscription-feature', 'CompanyParkingController@parkingSubscriptionFeature')->name('parking-space.parking-subscription-feature');

		#Booking management Routes
		Route::resource('onGoingbooking', 'BookingController');
		Route::get('/onGoingbooking/show/{id}/{type}','BookingController@show')->name('onGoingbooking.show');
		Route::post('/onGoingbooking/export','BookingController@exportdata')->name('onGoingbooking.export');
	});
});

app/Models/Discount.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Discount extends Model
{
  	# define table.
  	protected $table = 'discounts';

  	# define fillable fildes
  	protected $fillable = 	[
  		'company_id',
		'title',
		'description',
		'discount_id',
		'percent_discount',
		'on_booking',
		'on_subscription',
		'on_wallet',
		'start_date',
		'end_date',
		'status',
		'added_by',
  	];

  	/**
    * The attributes that should be cast to native types.
    *
    * @var array
	*/
	protected $casts = [
	  'created_at'    		=> 'datetime',
	  'start_date'    		=> 'datetime',
	  'end_date'    		=> 'datetime',
	  'status'        		=> 'boolean',
	  'on_booking'        	=> 'boolean',
	  'on_subscription'     => 'boolean',
	  'on_wallet'        	=> 'boolean',
	];

	/**
	 * @method to define relation b/w model and company
	 * @return relation
	 * @param
	 */
	public function company()
	{
		return $this->belongsTo(Company::class);
	}
	
  	/**
     * @method Scope a query to only include active color.
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
	*/
	public function scopeActive($query)
	{
	  return $query->where('status', 1);
	}

  	/**
     * @method Scope a query to only include active color.
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
	*/
	public function scopeonlyCompany($query, $companyId)
	{
	  return $query->where('company_id', $companyId);
	}

	/**
	 * @method to define atrribute to set formatted Start Date(YYYY-MM-DD)
	 * @return string
	 * @param
	 */
	public function getStartDateFormattedAttribute()
	{
		return $this->start_date->format('Y-m-d');
	}

	/**
	 * @method to define atrribute to set formatted End Date(YYYY-MM-DD)
	 * @return string
	 * @param
	 */
	public function getEndDateFormattedAttribute()
	{
		return $this->end_date->format('Y-m-d');
	}
	
    /**
     * @method to user by filters
     * @return query builder
     * @param
    */
    public function scopeSearchFilter($query, $fromDate, $toDate, $month)
    {

        if (!empty($fromDate) || !empty($toDate)) {
            $fromDate   = date('Y-m-d', strtotime($fromDate));
            $toDate     = date('Y-m-d', strtotime($toDate));
            $query->where(function($query) use ($fromDate, $toDate) {
                $query->whereDate('start_date', '>', $fromDate)->whereDate('end_date', '<', $toDate);
            });
        }

        if (!empty($month)) {
            if ($month == '1') {
                $startDate = Carbon::now()->subDays(30);
            } else if ($month == '3') {
                $startDate = Carbon::now()->subDays(90);
            } else if ($month == '6') {
                $startDate = Carbon::now()->subDays(180);
            }
            
            // dd($startDate, $carbonToDayDate, date('Y-m-d'), date('Y-m-d', strtotime("-30 days")) );
            $query->where(function($query) use ($startDate) {
                # Get carbon now date
                $carbonToDayDate = Carbon::now();
                $query->whereDate('created_at', '>', $startDate)->whereDate('created_at', '<', $carbonToDayDate);
            });
        }
    }
}

app/Http/Controllers/Company/BookingController.php
<?php

namespace App\Http\Controllers\Company;

#Models
use App\Models\Booking;
use App\Models\ScanOrPrivateBooking;

#Packages
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class BookingController extends Controller
{
    #variables
    protected $booking, $scanPrivateBookings;

    /**
     * @method constructor for Controller
     * @return 
     * @param
     */
    public function __construct(Booking $booking, ScanOrPrivateBooking $scanPrivateBookings)
    {
        $this->booking              = $booking;
        $this->scanPrivateBookings  = $scanPrivateBookings;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        #Fetch All bookings for Online or coming
        $qrBookings = $this->booking->with(['parking', 'user'])->get();
        $scanAndPrivateBookings = $this->scanPrivateBookings->with(['parking', 'user'])->get();

        #Fetch Qr Booking which are coming or onGoing
        $qrBookingsOnline = $qrBookings->filter(function($booking){
            if($booking->exit_date_time != '' AND $booking->exit_date_time->gte(Carbon::now()) AND !$booking->is_cancelled AND !$booking->is_expired){
                return $booking;
            }
        });
       
        #Fetch Scan Booking which are coming or onGoing
        $scanPrivateOnline = $scanAndPrivateBookings->filter(function($booking){
            if($booking->exit_date_time != '' AND $booking->exit_date_time->gte(Carbon::now()) AND !$booking->is_cancelled AND !$booking->is_expired){
                return $booking;
            }
        });

        #merge Bookings
        $bookings = $qrBookingsOnline->merge($scanPrivateOnline);

        #return to view with data
        return view('company.booking.index')->with(['bookings' => $bookings]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id, $bookingType)
    {
        #fetch Relation
        $relations = ['user', 'parking', 'drivers', 'washer', 'vehicle'];

        #FEtch Booking
        $booking = ($bookingType == 'scan_me_or_private_bookings') ? 
                                    $this->scanPrivateBookings->with($relations)->find($id) : 
                                    $this->booking->with($relations)->find($id);

        #Fetch Driver and washer if avaialable on Booking
        $washer = ''; $driver = '';
        if($bookingType == 'user_bookings') {
            $driver = $booking->drivers->isNotEmpty() ? $booking->drivers->last() : '';
            $washer = $booking->washer != '' ? $booking->washer : '';
        }

        #return to view with data
        return view('company.booking.show')->with([
            'booking' => $booking, 
            'bookingType' => $bookingType, 
            'driver' => $driver, 
            'washer' => $washer
        ]);
    }

    /**
     * Excel Export
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function exportdata(Request $request)
    {
       dd($request->all());
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Company/DashboardController.php
<?php

namespace App\Http\Controllers\Company;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    # Base View
    protected $view = "company.dashboard.";

    /**
    * @method constructor for Controller
    * @return 
    * @param
    */
    public function __construct()
    {
        # code...
    }

    /**
    * @method index for class
    * @param
    * @return to view
    */
    public function index()
    {
        # return view
        return view($this->view.'index');
    }
}

resources/views/company/discount/index.blade.php
@extends('company.layouts.main-layout')
@section('content')

<!-- content-wrapper start -->
<div class="content-wrapper">
  <div class="page-header">
    <!-- <h3 class="page-title"> Country </h3> -->
    
    <h3 class="page-title">
        </span> Discount Management
    </h3>
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{ route('company.dashboard.index') }}"><i class="mdi mdi-home"></i></a></li>
          <li class="breadcrumb-item active" aria-current="page">Discount</li>
        </ol>
    </nav>
  </div>

  <form method="get" action="{{ route('company-discount.index') }}">
    <div class="row gutter-sm">
    <!-- 
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <select class="form-control" name="country_name" id="country_name">
            <option value="" data-id="">Select a-z</option>
            <option value="a-z">A-Z</option>
            <option value="a-z">a-z</option>
          </select>
      </div> -->

      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" autocomplete="off" class="form-control" value="{{ $fromDate ?? ''}}" name="start_date" placeholder="From Date" id="start_date" />
      </div>
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" autocomplete="off"  class="form-control" name="end_date" value="{{ $todate ?? '' }}" placeholder="To Date" id="end_date" />
      </div>
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <select class="form-control" name="month">
            <option value="">Select Month</option>
            <option value="1" @if($month == '1') selected="selected" @endif>1 Month</option>
            <option value="3" @if($month == '3') selected="selected" @endif>3 Months</option>
            <option value="6" @if($month == '6') selected="selected" @endif>6 Months</option>
          </select>
      </div>

      <div class="col-12 col-sm-9 col-md-12 col-lg-6 form-group">
        <button type="submit" class="btn btn-md btn-gradient-success"><i class="mdi mdi-file-excel"></i> Filter</button>
      </div>
    </div>
  </form>
  <div class="row">
    <div class="col-md-12 stretch-card grid-margin">
      <div class="card card-img-holder">
        <div class="card-body">
          <a href="#" class="btn btn-sm float-right btn-md btn-gradient-primary mb-2" id="add_discount_button" data-toggle="modal" data-target="#myModal">Add</a>
          <table class="table table-bordered datatable-discount">
            <thead>
              <tr>
             <!--    <th>Company Id</th>
                <th>Company Name</th> -->
                <th>Title</th>
                <th>Discount(%)</th>
                <th>Start date</th>
                <th>Expiry date</th>
                <th>Actions</th>
              </tr>
            </thead>
            <tbody>
              @foreach($discounts as $discount)
              <tr>
                <td>{{ $discount->title ?? '' }}</td>
                <td>{{ $discount->percent_discount ?? '' }}</td>
                <td>{{ $discount->start_date_formatted ?? '' }}</td>
                <td>{{ $discount->end_date_formatted ?? '' }}</td>
                <td>
                  <a href="#" class="btn btn-sm btn-gradient-primary mr-2" data-id="{{ $discount->id }}" id="edit_discount">Edit</a>
                  <label class="togglebox toggleStatus ml-1" data-id="{{ $discount->id ?? ''}}">
                    <input type="checkbox" @if($discount->status) checked="checked" @endif name="block_unblock" hidden=""/>
                    <span class="label-text"></span>
                  </label>
                </td>
              </tr>
              @endforeach
            </tbody>
          </table>
          {{ $discounts->links() }}
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Add Modal -->
<form action="{{route('company-discount.store')}}" method="POST">
    @csrf
  <div class="modal fade" id="myModal"  data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <form method="post" action="#">
            <h5>Add Discount</h5>
            <div class="form-group">
              <label>Start Date</label><span class="required" style="color: red;">*</span>
              <input type="text" autocomplete="off" name="start_date" class="form-control start_date_formatted" id="start_date1" required="required"/>
            </div>
            <div class="form-group">
              <label>End Date</label><span class="required" style="color: red;">*</span>
              <input type="text" autocomplete="off" name="end_date" class="form-control end_date_formatted" id="end_date1" required="required"/>
            </div>
           <!--  <div class="form-group">
              <label>Company Name</label><span class="required" style="color: red;">*</span>
              <select class="form-control" name="company_id" id="company_name" required="required">
                <option hidden="" value="0">Choose Company</option>
                @foreach($companies as $company)
                  <option value="{{ $company->id }}">{{ $company->name ?? '' }}</option>
                @endforeach
              </select>
            </div>
            <div class="form-group">
              <label>Company ID</label><span class="required" style="color: red;">*</span>
              <input type="text" name="" class="form-control" id="company_id" />
            </div> -->
            <div class="form-group">
              <label>Discount Name</label><span class="required" style="color: red;">*</span>
              <input type="text" name="name" class="form-control" required="required"/>
            </div>
            <div class="form-group">
              <label>Discount Description</label>
              <input type="text" name="description" class="form-control"/>
            </div>
            <div class="form-group">
              <label>Discount (%)</label><span class="required" style="color: red;">*</span>
              <input type="text" name="discount_percent" class="form-control"  onkeypress="return numbersonly(event);"  required="required"/>
            </div>
            <h6>Service</h6>
              <div class="row">
                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="booking" value="booking" class="form-check-input">
                      <i class="input-helper"></i> Booking
                  </label>
                </div>

                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="subscription"value="subscription" class="form-check-input">
                      <i class="input-helper"></i> Subscription
                  </label>
                </div>

                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="valet"value="valet" class="form-check-input">
                      <i class="input-helper"></i> Valet
                  </label>
                </div>
              </div>
            <div class="text-center">
              <button type="submit" class="btn btn-gradient-success">Submit</button>
               <button type="button" class="btn btn-gradient-danger" data-dismiss="modal">Close</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</form>

<div class="modal fade updateDiscountModal" id="updateDiscountModal" data-backdrop="static" data-keyboard="false" tabindex="-1" role="updateSplashImage" aria-labelledby="gridSystemModalLabel">
</div>
@stop

@section('js-content')
  <script type="text/javascript">

    $('.datatable-discount').DataTable({
          dom: 'Bfrtip',
          buttons: [
           {
              extend: 'copy',
              exportOptions: {
                columns: [0,1,2,3,4,5]
              }
           },
           {
              extend: 'csv',
              exportOptions: {
                columns: [0,1,2,3,4,5]
              }
           },
           {
              extend: 'excel',
              exportOptions: {
                columns: [0,1,2,3,4,5]
              }
           },
           {
              extend: 'print',
              exportOptions: {
                columns: [0,1,2,3,4,5]
              }
           }
          ]
     });

    var nowDate = new Date();
    var today = new Date(nowDate.getFullYear(), nowDate.getMonth(), nowDate.getDate(), 0, 0, 0, 0);
    //Set the datepicker date Style to Y-m-D
    $( ".start_date_formatted" ).datepicker({
      format: "yyyy-mm-dd",
      autoclose: true,
      startDate: today,
    });

    //Set the datepicker date Style to Y-m-D
    $( ".end_date_formatted" ).datepicker({
      format: "yyyy-mm-dd",
      autoclose: true,
      startDate: today, 
    });

    //On Edit of Discount
    $('a#edit_discount').on('click', function(e) {
     var discountId = $(this).attr('data-id');
     $.ajax({
        url: "{{action('Company\DiscountController@openDiscountUpdate')}}",
        method: "GET",
        dataType: "json",
        data:{'id':discountId},
        success: function(response) {
          if (response.status == 200) {
            $('#updateDiscountModal').html(response.html);
            $('.updateDiscountModal').modal('show');
          } 
        }
      }); 
    });

    //Toggle status
    $(document).on('change', 'label.toggleStatus', function() {
      var discountId = $(this).attr('data-id')

      $.ajax({
        method: 'POST',
        url: "{{ route('company-discount.status') }}",
        data: {id: discountId},
        dataType: 'json',
        success: function(response) {
          if (response.status == 200) {
            swal(response.success_message)
          }
        }
      })
    })

    // Number Only.
    function numbersonly(e) {
      var unicode=e.charCode? e.charCode : e.keyCode
      if (unicode!=8) { //if the key isn't the backspace key (which we should allow)
          if (unicode<48||unicode>57) //if not a number
            return false //disable key press
      }
    }
  </script>
@stop

resources/views/company/discount/update.blade.php
<form action="{{ route('company-discount.update', $discount->id) }}" method="post" enctype="multipart/form-data" onsubmit="return Validate(this);">
  <input type="hidden" name="discount_id" value="{{$discount->id}}">
  @csrf
  {{ method_field('patch') }}
  
  <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <form method="post" action="#">
            <h5>Update Discount</h5>
            <div class="form-group">
              <label>Start Date</label><span class="required" style="color: red;">*</span>
              <input type="text" autocomplete="off" name="start_date" class="form-control edit_start_date_formatted" id="edit_start_date_formatted" required="required" value="{{ $discount->start_date_formatted ?? '' }}" />
            </div>
            <div class="form-group">
              <label>End Date</label><span class="required" style="color: red;">*</span>
              <input type="text" autocomplete="off" name="end_date" class="form-control edit_end_date_formatted" id="edit_end_date_formatted" required="required" value="{{ $discount->end_date_formatted ?? '' }}"/>
            </div>

            <div class="form-group">
              <label>Discount Name</label><span class="required" style="color: red;">*</span>
              <input type="text" name="name" class="form-control" value="{{ $discount->title }}" required="required"/>
            </div>
            <div class="form-group">
              <label>Discount Description</label>
              <input type="text" name="description" value="{{ $discount->description }}" class="form-control"/>
            </div>
            <div class="form-group">
              <label>Discount (%)</label><span class="required" style="color: red;">*</span>
              <input type="text" name="discount_percent" class="form-control" value="{{ $discount->percent_discount }}"  onkeypress="return numbersonly(event);"  required="required"/>
            </div>
            <h6>Service</h6>
              <div class="row">
                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="booking" value="booking" class="form-check-input" {{ $discount->on_booking ? 'checked' : '' }}>
                      <i class="input-helper"></i> Booking
                  </label>
                </div>

                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="subscription"value="subscription" class="form-check-input" {{ $discount->on_subscription ? 'checked' : '' }}>
                      <i class="input-helper"></i> Subscription
                  </label>
                </div>

                <div class="form-group ml-5">
                  <label class="form-check-label text-dark">
                    <input type="checkbox" name="valet"value="valet" class="form-check-input" {{ $discount->on_wallet ? 'checked' : '' }}>
                      <i class="input-helper"></i> Valet
                  </label>
                </div>
              </div>
            <div class="text-center">
              <button type="submit" class="btn btn-gradient-success">Update</button>
              <button type="button" class="btn btn-gradient-danger" data-dismiss="modal">Close</button>
            </div>
          </form>
        </div>
      </div>
  </div>
</form>
<script>
  //Set the datepicker date Style to Y-m-D on Edit
  $( "input.edit_start_date_formatted" ).datepicker({
    format: "yyyy-mm-dd",
    autoclose: true,
    startDate: today,
  });

  
  //Set the datepicker date Style to Y-m-D
  $( "input.edit_end_date_formatted" ).datepicker({
    format: "yyyy-mm-dd",
    autoclose: true,
    startDate: today, 
  });

</script>